#!/bin/sh

set -e

ICON_DIR=/usr/share/icons/hicolor
APP_LOGO_SVG=gimp_logo.svg
APP_PNG=gimp.png

for size in `ls ${ICON_DIR} | grep -E '^[0-9]+x[0-9]+$'` ;do
    if ! [ -f $ICON_DIR/${size}/apps/${APP_PNG} ] ;then
        if [ -d ${ICON_DIR}/${size}/apps ] ;then
            mkdir -p hicolor/${size}/apps
            convert -background none ${APP_LOGO_SVG} -resize ${size} hicolor/${size}/apps/${APP_PNG}
            convert hicolor/${size}/apps/${APP_PNG} -gravity center -background none -extent ${size} hicolor/${size}/apps/${APP_PNG}
        fi
    fi
done
